#!bash
set -x

cd ~/.config/

if [ ! -d "hypr" ]; then
    git clone git@git.nichkara.eu:dotfiles/hypr
else
    cd hypr
    git pull
    cd ..
fi

if [ ! -d "waybar" ]; then
    git clone git@git.nichkara.eu:dotfiles/waybar
else
    cd hypr
    git pull
    cd ..
fi

if [ ! -d "nvim" ]; then
    git clone git@git.nichkara.eu:nichkara/nvim
else
    cd nvim
    git pull
    cd ..
fi

if [ ! -d "wofi" ]; then
    git clone git@git.nichkara.eu:dotfiles/wofi
else
    cd wofi
    git pull
    cd ..
fi

if [ ! -d "kitty" ]; then
    git clone git@git.nichkara.eu:dotfiles/kitty
else
    cd kitty
    git pull
    cd ..
fi

if [ ! -d "evolution" ]; then
    git clone git@git.nichkara.eu:dotfiles/evolution
else
    cd evolution
    git pull
    cd ..
fi
